ChiliProject - Bug # 555: Display of users page after Upgrade to CP 2

Status: Closed Priority: Normal
Author: Harald Klimach Category:
Created: 2011-08-03 Assignee:
Updated: 2011-12-18 Due date:

Remote issue URL:
Affected version:
Description: Hi,

| switched my server to chiliproject months ago, and followed along since then.
Now | also did the upgrade to ChiliProject 2.1.1, and found that the users display
do not work anymore, | get the following error log:

Processing UsersController#show (for 192.168.1.1 at 2011-08-03 13:30:02) [GET]

Parameters: {"action"=>"show", "id"=>"1", "controller"=>"users"}

ActiveRecord::ConfigurationError (Association named 'project’ was not found; perhaps you misspelled it?):
lib/redmine/activity/fetcher.rb:82:in “events'
lib/redmine/activity/fetcher.rb:81:in “each’
lib/redmine/activity/fetcher.rb:81:in “events'
lib/redmine/activity/fetcher.rb:80:in “each’
lib/redmine/activity/fetcher.rb:80:in “events'
app/controllers/users_controller.rb:68:in “show'
/usr/lib/ruby/1.8/rack/adapter/rails.rb:75:in “call' /usr/lib/ruby/1.8/thin/connection.rb:76:in “pre_process'
/ust/lib/ruby/1.8/thin/connection.rb:74:in “catch’
/ust/lib/ruby/1.8/thin/connection.rb:74:in “pre_process' /usr/lib/ruby/1.8/thin/connection.rb:57:in "process
/ust/lib/ruby/1.8/thin/connection.rb:42:in “receive_data’
/ust/lib/ruby/1.8/eventmachine.rb:240:in “run_machine’
/ust/lib/ruby/1.8/eventmachine.rb:240:in “run’
/usr/lib/ruby/1.8/thin/backends/base.rb:57:in “start' /usr/lib/ruby/1.8/thin/server.rb:156:in “start’
/usr/lib/ruby/1.8/thin/controllers/controller.rb:80:in “start’ /usr/lib/ruby/1.8/thin/runner.rb:174:in “send’
/ust/lib/ruby/1.8/thin/runner.rb:174:in “run_command'
/ust/lib/ruby/1.8/thin/runner.rb:140:in “run!'
/usr/bin/thin1.8:6
Rendering /var/opt/chiliproject/public/500.html (500 Internal Server Error)

However | do not know how long this error exists, might have been introduced earlier than the upgrade to 2.0.

History

2011-08-05 03:44 pm - Eric Davis
| can't reproduce, it might be caused by some invalid data.

2011-08-05 04:00 pm - Harald Klimach

Thanks, for giving it a try, | suspect it is due to some upgrade history.

So far it's the only problem | ran in. However | am a little lost, as | am not so confident in Ruby and Rails, or the projects code itself. Thus | do not know,
where this request for the association 'project' in users_controller.rb comes from.

Could you please give me a hint where I'd need to look for, to investigate it further?

2011-09-06 11:41 am - Harald Klimach

In #609 there was the suggestion made, that this problem might be due to an installed plugin.
| have the following plugins installed:
acts_as_activity_provider
acts_as_attachable
acts_as_customizable
acts_as_event
acts_as_journalized
acts_as_list
acts_as_searchable
acts_as_tree
acts_as_watchable
awesome_nested_set
classic_pagination
engines

gravatar
open_id_authentication
prepend_engine_views
projects_tree_view
redmine_checkout
redmine_delete_project
redmine_doodles
redmine_whining

rfpdf
ruby-net-ldap-0.0.4
wiki_latex_plugin

And will try to figure out, which one might be causing this issue.

2011-09-06 12:19 pm - Felix Schéafer
Not all are plugins, some are core components, make sure to not disable those or ChiliProject will break anyway.

On a related note, | see you have the redmine_doodles plugin, and | think | haven't updated it yet, so it's probably the culprit, sorry -_-" Can you please
try to disable it (change the permissions of the directory to 000 for example) and report here? Thanks.

2011-09-06 12:43 pm - Harald Klimach

Thanks a lot for your quick reply, indeed the user page is working again if | disallow the access to the doodle plugin directory.

2011-12-16 08:25 pm - Eric Davis
- Category deleted (User interface)

2011-12-18 06:08 pm - Holger Just
- Status changed from Open to Closed

The issue was caused by a plugin (redmine_doodles in this case) and is thus not a core issue.
